// Machine generated IDispatch driver class(es) created with ClassWizard.

/////////////////////////////////////////////////////////////////////////////
// Application wrapper class

class Application : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetActiveChart();
	LPDISPATCH GetApplication();
	void SetCaption(const char* p0);
	CString GetCaption();
	LPDISPATCH GetCharts();
	void SetDefaultFilePath(const char* p0);
	CString GetDefaultFilePath();
	void SetIndexVisible(BOOL p0);
	BOOL GetIndexVisible();
	long GetIndexWindowHandle();
	void SetFieldViewerVisible(BOOL p0);
	BOOL GetFieldViewerVisible();
	long GetFieldViewerWindowHandle();
	CString GetFullName();
	void SetHeight(long p0);
	long GetHeight();
	void SetHourGlass(BOOL p0);
	BOOL GetHourGlass();
	CString GetName();
	void SetNoteViewerVisible(BOOL p0);
	BOOL GetNoteViewerVisible();
	long GetNoteViewerWindowHandle();
	CString GetOperatingSystem();
	void SetShapePaletteVisible(BOOL p0);
	BOOL GetShapePaletteVisible();
	long GetShapePaletteWindowHandle();
	LPDISPATCH GetParent();
	CString GetPath();
	void SetPercentGaugeValue(short p0);
	short GetPercentGaugeValue();
	LPDISPATCH GetPreferences();
	void SetPrinter(const char* p0);
	CString GetPrinter();
	void SetLeft(long p0);
	void SetRight(long p0);
	void SetTop(long p0);
	void SetBottom(long p0);
	long GetLeft();
	long GetRight();
	long GetTop();
	long GetBottom();
	void SetStatusBar(const char* p0);
	CString GetStatusBar();
	CString GetVersion();
	void SetVisible(BOOL p0);
	BOOL GetVisible();
	void SetWidth(long p0);
	long GetWidth();
	long GetWindowHandle();
	BOOL GetUndoAvailable();
	long GetWhite();
	long GetBlack();
	long GetRed();
	long GetGreen();
	long GetBlue();
	long GetYellow();
	long GetMagenta();
	long GetCyan();
	long GetGray();
	long GetDk_red();
	long GetDk_green();
	long GetDk_blue();
	long GetDk_yellow();
	long GetDk_magenta();
	long GetDk_cyan();
	long GetDk_gray();
	long GetBasicColor(short ColorIndex);
	BOOL CreateAddOn(short Index, const char* Description, const char* FullAppPath, const VARIANT& FullIconPath, const VARIANT& Flags);
	BOOL RemoveAddOn(const VARIANT& Key);
	void Activate();
	void ArrangeIcons();
	void CascadeCharts();
	void CloseAll();
	void Help(const VARIANT& helpfile, const VARIANT& helpcontextID);
	void Hint(const char* Hint);
	LPDISPATCH New();
	LPDISPATCH NewFromTemplate(const char* filename);
	LPDISPATCH Open(const char* pathname, const VARIANT& AsReadOnly);
	LPDISPATCH AddMenu(const char* PopupName, LPDISPATCH VBXToNotify, const char* NotifyConsumerName, const VARIANT& ChartClass);
	void RemoveMenu(const char* PopupName);
	void Quit();
	long MakeRGB(short RED, short GREEN, short BLUE);
	void Restore();
	void Minimize();
	void Maximize();
	short MsgBox(const char* Message, const VARIANT& Type, const VARIANT& Title);
	void PercentGauge(const VARIANT& Title, const VARIANT& TextLine1, const VARIANT& TextLine2);
	void HidePercentGauge();
	BOOL PercentGaugeCancelled();
	void TileCharts();
	void Undo();
	BOOL RegisterEvent(LPDISPATCH VBX, const char* ConsumerName, const char* EventName, const VARIANT& ChartType);
	void ChartTypeShutdown(const char* ChartType, const char* ConsumerName);
	BOOL UnRegisterEvent(LPDISPATCH VBX, const VARIANT& EventName, const VARIANT& ChartClass);
	BOOL _UnRegAll(LPDISPATCH VBX);
};

/////////////////////////////////////////////////////////////////////////////
// Chart wrapper class

class Chart : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	BOOL ClipboardFormatAvailable(short Format);
	void SetCurrentLineRouting(short p0);
	short GetCurrentLineRouting();
	void SetCurrentShape(const char* p0);
	CString GetCurrentShape();
	void SetCurrentShapePalette(const char* p0);
	CString GetCurrentShapePalette();
	void SetDrawDirection(short p0);
	short GetDrawDirection();
	void SetDrawPositionX(double p0);
	double GetDrawPositionX();
	void SetDrawPositionY(double p0);
	double GetDrawPositionY();
	void SetDrawSpacingX(double p0);
	double GetDrawSpacingX();
	void SetDrawSpacingY(double p0);
	double GetDrawSpacingY();
	LPDISPATCH GetFieldTemplates();
	LPDISPATCH GetFieldFont();
	void SetFieldPlacement(short p0);
	short GetFieldPlacement();
	void SetFieldNamesHidden(BOOL p0);
	BOOL GetFieldNamesHidden();
	void SetFieldsOpaque(BOOL p0);
	BOOL GetFieldsOpaque();
	void SetFieldsDaysPerWeek(short p0);
	short GetFieldsDaysPerWeek();
	void SetFieldsHoursPerDay(short p0);
	short GetFieldsHoursPerDay();
	CString GetFullName();
	void SetGuidelinesOn(BOOL p0);
	BOOL GetGuidelinesOn();
	BOOL GetHasDiskFile();
	void SetLaunchShadow(BOOL p0);
	BOOL GetLaunchShadow();
	void SetLaunchIndicator(const char* p0);
	CString GetLaunchIndicator();
	void SetLineCrossoverStyle(short p0);
	short GetLineCrossoverStyle();
	void SetLineCrossoverSize(short p0);
	short GetLineCrossoverSize();
	void SetLinkShadow(BOOL p0);
	BOOL GetLinkShadow();
	void SetLinkIndicator(const char* p0);
	CString GetLinkIndicator();
	LPDISPATCH GetMasterItems();
	CString GetName();
	void SetNoteShadow(BOOL p0);
	BOOL GetNoteShadow();
	void SetNoteIndicator(const char* p0);
	CString GetNoteIndicator();
	void SetNoRepaint(BOOL p0);
	BOOL GetNoRepaint();
	void SetNextNumber(const char* p0);
	CString GetNextNumber();
	void SetNextShapeHeight(double p0);
	double GetNextShapeHeight();
	void SetNextShapeWidth(double p0);
	double GetNextShapeWidth();
	LPDISPATCH GetNumberFont();
	LPDISPATCH GetObjects();
	short GetPageCount();
	LPDISPATCH GetPageLayout();
	BOOL GetProtected();
	BOOL GetReadOnly();
	BOOL GetSaved();
	void SetScrollLeft(double p0);
	double GetScrollLeft();
	void SetScrollTop(double p0);
	double GetScrollTop();
	short GetSelectedShapeCount();
	short GetSelectedLineCount();
	short GetSelectedObjectCount();
	short GetSelectedOtherCount();
	void SetShowNodesOnLines(BOOL p0);
	BOOL GetShowNodesOnLines();
	void SetShowLegend(BOOL p0);
	BOOL GetShowLegend();
	void SetType(const char* p0);
	CString GetType();
	void SetTypeRequiresEXE(BOOL p0);
	BOOL GetTypeRequiresEXE();
	void SetTypeUsesEXE(BOOL p0);
	BOOL GetTypeUsesEXE();
	void SetUnits(short p0);
	short GetUnits();
	BOOL GetValid();
	void SetView(short p0);
	short GetView();
	void SetZoomPercentage(short p0);
	short GetZoomPercentage();
	long GetWindowHandle();
	void Activate();
	void AddHorizontalGuideline(double VertPos);
	void AddVerticalGuideline(double HorzPos);
	BOOL Clear_();
	void ClearGuidelines();
	void Close();
	void CloseChart();
	BOOL Copy();
	BOOL Cut();
	void DeselectAll();
	BOOL Duplicate();
	LPDISPATCH GroupAndLink(const VARIANT& filename, const VARIANT& LinkFields);
	LPDISPATCH DrawFreeLine(double ToX, double ToY);
	LPDISPATCH DrawLine(LPDISPATCH Source, LPDISPATCH Dest, const VARIANT& SourceFace, const VARIANT& DestFace);
	LPDISPATCH DrawLineToOneObject(LPDISPATCH DestObject, const VARIANT& DestFace);
	LPDISPATCH DrawShape(const VARIANT& ShapeName);
	LPDISPATCH DrawTextBlock(const char* Text);
	LPDISPATCH InsertObjectFromFile(const char* filename, const VARIANT& bAsIcon, const VARIANT& bAsLink);
	void Restore();
	void Minimize();
	void Maximize();
	BOOL Paste(const VARIANT& xPos, const VARIANT& yPos);
	BOOL PasteLink(const VARIANT& xPos, const VARIANT& yPos);
	BOOL PasteSpecial(short Format, const VARIANT& AsIcon, const VARIANT& xPos, const VARIANT& yPos);
	BOOL PrintOut(const VARIANT& FromPage, const VARIANT& ToPage, const VARIANT& NumCopies, const VARIANT& FitToPage, const VARIANT& PrintNotes);
	BOOL PrintSelected(const VARIANT& NumCopies, const VARIANT& FitToPage, const VARIANT& PrintNotes);
	void Repaint();
	void RevertToSaved();
	BOOL Save(const VARIANT& pathname, const VARIANT& Type);
	void ScrollPage(short iPage);
	void ScrollPosition(double fPosX, double fPosY);
	void Select(short iSelect);
	void SelectShapeType(const char* ShapeType);
	void SetDefaults(LPDISPATCH Object);
	void SetProtection(BOOL bProtect, const char* Password);
	BOOL SendMail();
	void Spelling();
	void ToFront();
	void ToBack();
	void UpdateFields();
	void FullScreen();
	void CancelFullScreen();
};

/////////////////////////////////////////////////////////////////////////////
// Charts wrapper class

class Charts : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	// method 'GetTypeInfoCount' not emitted because of invalid type information
	// method 'GetTypeInfo' not emitted because of invalid type information
	// method 'GetIDsOfNames' not emitted because of invalid type information
	// method 'Invoke' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	LPDISPATCH Add();
	LPDISPATCH AddFromTemplate(const char* filename);
	LPDISPATCH Open(const char* filename, const VARIANT& AsReadOnly);
	void CloseAll();
	long GetCount();
	LPDISPATCH GetItem(const VARIANT& Index);
	LPUNKNOWN Get_NewEnum();
};

/////////////////////////////////////////////////////////////////////////////
// Preferences wrapper class

class Preferences : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetAlignToRulers(short p0);
	short GetAlignToRulers();
	void SetChannelAlignment(BOOL p0);
	BOOL GetChannelAlignment();
	void SetLineSpacingX(double p0);
	double GetLineSpacingX();
	void SetLineSpacingY(double p0);
	double GetLineSpacingY();
	void SetShapeSizing(short p0);
	short GetShapeSizing();
	void SetShowRulers(BOOL p0);
	BOOL GetShowRulers();
	void SetSmartShapeSpacing(BOOL p0);
	BOOL GetSmartShapeSpacing();
	void SetSSSHorizontal(double p0);
	double GetSSSHorizontal();
	void SetSSSVertical(double p0);
	double GetSSSVertical();
	void SetTouchAlignment(BOOL p0);
	BOOL GetTouchAlignment();
	void SetUnits(short p0);
	short GetUnits();
};

/////////////////////////////////////////////////////////////////////////////
// PageLayout wrapper class

class PageLayout : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetPageHeight(double p0);
	double GetPageHeight();
	double GetHeight();
	void SetMarginBottom(double p0);
	double GetMarginBottom();
	void SetMarginLeft(double p0);
	double GetMarginLeft();
	void SetMarginRight(double p0);
	double GetMarginRight();
	void SetMarginTop(double p0);
	double GetMarginTop();
	void SetOrientation(short p0);
	short GetOrientation();
	void SetPageOrder(short p0);
	short GetPageOrder();
	void SetPaperSize(const char* p0);
	CString GetPaperSize();
	void SetPrintBlankPages(BOOL p0);
	BOOL GetPrintBlankPages();
	void SetPageWidth(double p0);
	double GetPageWidth();
	double GetWidth();
};

/////////////////////////////////////////////////////////////////////////////
// MasterItems wrapper class

class MasterItems : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	LPDISPATCH GetChartName();
	LPDISPATCH GetDate();
	LPDISPATCH GetLogo();
	LPDISPATCH GetPageNumber();
	LPDISPATCH GetText1();
	LPDISPATCH GetText2();
	LPDISPATCH GetTime();
	void SetDateStyle(short p0);
	short GetDateStyle();
	void SetLogoPathname(const char* p0);
	CString GetLogoPathname();
	void SetRange(short p0);
	short GetRange();
	void SetChartNameShown(BOOL p0);
	BOOL GetChartNameShown();
	void SetDateShown(BOOL p0);
	BOOL GetDateShown();
	void SetLogoShown(BOOL p0);
	BOOL GetLogoShown();
	void SetPageNumberShown(BOOL p0);
	BOOL GetPageNumberShown();
	void SetTimeShown(BOOL p0);
	BOOL GetTimeShown();
	void SetText1Shown(BOOL p0);
	BOOL GetText1Shown();
	void SetText2Shown(BOOL p0);
	BOOL GetText2Shown();
	void HideAll();
	void ShowAll();
	void UpdateDateAndTime(const VARIANT& vDate, const VARIANT& vTime);
};

/////////////////////////////////////////////////////////////////////////////
// Objects wrapper class

class Objects : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	// method 'GetTypeInfoCount' not emitted because of invalid type information
	// method 'GetTypeInfo' not emitted because of invalid type information
	// method 'GetIDsOfNames' not emitted because of invalid type information
	// method 'Invoke' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	long GetCount();
	LPDISPATCH ItemFromAttachments(LPDISPATCH Attachment1, const VARIANT& Attachment2);
	LPDISPATCH ItemFromAll();
	LPDISPATCH ItemFromLines();
	LPDISPATCH ItemFromUniqueID(long lUniqueID);
	LPDISPATCH ItemFromNumber(const VARIANT& Number);
	LPDISPATCH ItemFromText(const char* Text);
	LPDISPATCH ItemFromSelection();
	LPDISPATCH ItemFromShapes();
	LPDISPATCH ItemFromFieldValue(LPDISPATCH FieldValue, const VARIANT& Value);
	void ResetSearch();
	LPDISPATCH GetItem(const VARIANT& Index);
	LPUNKNOWN Get_NewEnum();
};

/////////////////////////////////////////////////////////////////////////////
// Object wrapper class

class Object : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetBottom(double p0);
	double GetBottom();
	void SetCenterX(double p0);
	double GetCenterX();
	void SetCenterY(double p0);
	double GetCenterY();
	void SetColor(long p0);
	long GetColor();
	LPDISPATCH GetFieldValues();
	LPDISPATCH GetFont();
	void SetHeight(double p0);
	double GetHeight();
	void SetLeft(double p0);
	double GetLeft();
	LPDISPATCH GetLine_();
	LPDISPATCH GetOle();
	LPDISPATCH GetTextBlock();
	void SetRight(double p0);
	double GetRight();
	void SetSelected(BOOL p0);
	BOOL GetSelected();
	LPDISPATCH GetShape();
	void SetStretchType(short p0);
	short GetStretchType();
	void SetText(const char* p0);
	CString GetText();
	void SetTextLF(const char* p0);
	CString GetTextLF();
	void SetTextAlignment(short p0);
	short GetTextAlignment();
	void SetTop(double p0);
	double GetTop();
	short GetType();
	long GetUniqueID();
	BOOL GetValid();
	void SetWidth(double p0);
	double GetWidth();
	BOOL Clear_();
	LPDISPATCH Duplicate();
	void Repaint();
	void RestorePicture();
	void ToBack();
	void ToFront();
};

/////////////////////////////////////////////////////////////////////////////
// Shape wrapper class

class Shape : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	BOOL GetIsLaunched();
	BOOL GetIsLinked();
	void SetNumber(const char* p0);
	CString GetNumber();
	void SetNumberShown(BOOL p0);
	BOOL GetNumberShown();
	void SetLaunchFlags(short p0);
	short GetLaunchFlags();
	void SetLaunchCommand(const char* p0);
	CString GetLaunchCommand();
	void SetLaunchStartDir(const char* p0);
	CString GetLaunchStartDir();
	void SetLinkedChartName(const char* p0);
	CString GetLinkedChartName();
	void SetLinkFields(BOOL p0);
	BOOL GetLinkFields();
	LPDISPATCH GetNoteFont();
	void SetNoteText(const char* p0);
	CString GetNoteText();
	void SetNoteTextLF(const char* p0);
	CString GetNoteTextLF();
	void SetShadowColor(long p0);
	long GetShadowColor();
	void SetShadowStyle(short p0);
	short GetShadowStyle();
	void SetShadowOffset(short p0);
	short GetShadowOffset();
	void SetBorderColor(long p0);
	long GetBorderColor();
	void SetBorderStyle(short p0);
	short GetBorderStyle();
	void SetBorderWidth(short p0);
	short GetBorderWidth();
	void SetFillColor(long p0);
	long GetFillColor();
	void SetFillPattern(short p0);
	short GetFillPattern();
	CString GetShapeName();
	void DeleteLines();
	void FitShapeToText();
	BOOL Launch();
	LPDISPATCH Link();
	void Renumber();
	BOOL ReplaceShape(const VARIANT& ShapeType);
};

/////////////////////////////////////////////////////////////////////////////
// Line_ wrapper class

class Line_ : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetDestArrowColor(long p0);
	long GetDestArrowColor();
	void SetDestArrowSize(short p0);
	short GetDestArrowSize();
	void SetDestArrowStyle(short p0);
	short GetDestArrowStyle();
	void SetDestination(LPDISPATCH p0);
	LPDISPATCH GetDestination();
	void SetColor(long p0);
	long GetColor();
	void SetSource(LPDISPATCH p0);
	LPDISPATCH GetSource();
	void SetSourceDirection(short p0);
	short GetSourceDirection();
	void SetDestinationDirection(short p0);
	short GetDestinationDirection();
	void SetSourceArrowColor(long p0);
	long GetSourceArrowColor();
	void SetSourceArrowSize(short p0);
	short GetSourceArrowSize();
	void SetSourceArrowStyle(short p0);
	short GetSourceArrowStyle();
	void SetStemColor(long p0);
	long GetStemColor();
	void SetStemStyle(short p0);
	short GetStemStyle();
	void SetStemWidth(short p0);
	short GetStemWidth();
	void SetType(short p0);
	short GetType();
	BOOL AttachText(LPDISPATCH TextObject, const VARIANT& Segment);
	BOOL ReconnectDest(LPDISPATCH Parent, const VARIANT& Direction);
	BOOL ReconnectSource(LPDISPATCH Parent, const VARIANT& Direction);
};

/////////////////////////////////////////////////////////////////////////////
// TextBlock wrapper class

class TextBlock : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	LPDISPATCH GetAttachedToLine();
	void UnattachFromLine();
};

/////////////////////////////////////////////////////////////////////////////
// OLEClient wrapper class

class OLEClient : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	CString GetObjectType();
	void DoVerb(const VARIANT& iVerb);
	void RestorePicture();
};

/////////////////////////////////////////////////////////////////////////////
// Font wrapper class

class Font : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetBold(BOOL p0);
	BOOL GetBold();
	void SetColor(long p0);
	long GetColor();
	void SetItalic(BOOL p0);
	BOOL GetItalic();
	void SetName(const char* p0);
	CString GetName();
	void SetOpaque(BOOL p0);
	BOOL GetOpaque();
	void SetSize(double p0);
	double GetSize();
	void SetStrikethrough(BOOL p0);
	BOOL GetStrikethrough();
	void SetUnderline(BOOL p0);
	BOOL GetUnderline();
};

/////////////////////////////////////////////////////////////////////////////
// FieldTemplates wrapper class

class FieldTemplates : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	// method 'GetTypeInfoCount' not emitted because of invalid type information
	// method 'GetTypeInfo' not emitted because of invalid type information
	// method 'GetIDsOfNames' not emitted because of invalid type information
	// method 'Invoke' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	LPDISPATCH Add(const char* bszName, const VARIANT& Type);
	void DeleteField(LPDISPATCH FieldTemplate);
	long GetCount();
	LPDISPATCH GetItem(const VARIANT& Index, const VARIANT& Type);
	LPUNKNOWN Get_NewEnum();
};

/////////////////////////////////////////////////////////////////////////////
// FieldTemplate_ wrapper class

class FieldTemplate_ : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetName(const char* p0);
	CString GetName();
	void SetType(short p0);
	short GetType();
	void SetFormat(short p0);
	short GetFormat();
	double GetAccumulation();
	void SetAccumulationMethod(short p0);
	short GetAccumulationMethod();
	void SetHidden(BOOL p0);
	BOOL GetHidden();
};

/////////////////////////////////////////////////////////////////////////////
// FieldValues wrapper class

class FieldValues : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	// method 'GetTypeInfoCount' not emitted because of invalid type information
	// method 'GetTypeInfo' not emitted because of invalid type information
	// method 'GetIDsOfNames' not emitted because of invalid type information
	// method 'Invoke' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	long GetCount();
	LPDISPATCH GetItem(const VARIANT& Index, const VARIANT& FieldType);
	LPUNKNOWN Get_NewEnum();
};

/////////////////////////////////////////////////////////////////////////////
// FieldValue_ wrapper class

class FieldValue_ : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	BOOL GetIsEmpty();
	LPDISPATCH GetFieldTemplate();
	CString GetName();
	short GetType();
	void SetValue(const VARIANT& p0);
	VARIANT GetValue();
	void SetDay(short p0);
	short GetDay();
	void SetMonth(short p0);
	short GetMonth();
	void SetYear(short p0);
	short GetYear();
	CString GetFormattedValue();
	void Empty();
};

/////////////////////////////////////////////////////////////////////////////
// MenuItem wrapper class

class MenuItem : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	void SetChecked(BOOL p0);
	BOOL GetChecked();
	void SetEnabled(BOOL p0);
	BOOL GetEnabled();
	void SetText(const char* p0);
	CString GetText();
};

/////////////////////////////////////////////////////////////////////////////
// Menu wrapper class

class Menu : public COleDispatchDriver
{
// Attributes
public:

// Operations
public:
	// method 'QueryInterface' not emitted because of invalid type information
	// method 'AddRef' not emitted because of invalid type information
	// method 'Release' not emitted because of invalid type information
	// method 'GetTypeInfoCount' not emitted because of invalid type information
	// method 'GetTypeInfo' not emitted because of invalid type information
	// method 'GetIDsOfNames' not emitted because of invalid type information
	// method 'Invoke' not emitted because of invalid type information
	LPDISPATCH GetApplication();
	LPDISPATCH GetParent();
	long GetCount();
	void SetText(const char* p0);
	CString GetText();
	void SetVisible(BOOL p0);
	BOOL GetVisible();
	LPDISPATCH AppendItem(const char* Text);
	void DeleteItem(LPDISPATCH MenuItem);
	void DeleteAll();
	LPDISPATCH InsertItem(const char* Text, const VARIANT& Idenitifer);
	LPDISPATCH GetItem(const VARIANT& Index);
	LPUNKNOWN Get_NewEnum();
};

